import { FilterEntry } from '@shopify/theme-check-common';
import { CompletionItem } from 'vscode-languageserver';
import { PseudoType, TypeSystem } from '../../TypeSystem';
import { LiquidCompletionParams } from '../params';
import { Provider } from './common';
export declare class FilterCompletionProvider implements Provider {
    private readonly typeSystem;
    constructor(typeSystem: TypeSystem);
    completions(params: LiquidCompletionParams): Promise<CompletionItem[]>;
    options: (inputType: PseudoType) => Promise<MaybeDeprioritisedFilterEntry[]>;
}
type MaybeDeprioritisedFilterEntry = FilterEntry & {
    deprioritized?: boolean;
};
export {};
